<?php

namespace Teknisa\ACL\Repositories;

use Doctrine\DBAL\Connection;
use Teknisa\ACL\Util\InstanceProvider;


class GrupoOperador {


   

    public function findGrupo($conditions) {
    $query ="

                SELECT
                    O.NRORG, 
                    O.CDOPERADOR, 
                    O.CDGRUPOPER, 
                    G.DSGRUPOPER

                FROM
                    OPERGRUPOP O,
                    GRUPOPER G
                
                WHERE O.CDGRUPOPER = G.CDGRUPOPER 
                
                AND O.CDOPERADOR = :CDOPERADOR"
                ;
                
     $params = array(
            "CDOPERADOR" => $conditions[0]["value"]
        );

            $std = InstanceProvider::getEntityManager()->getConnection()->prepare($query);
            $std->execute($params);
            return $std->fetchAll();
        
    }
    
    public function findGrupoComOper($conditions) {
    $query ="
            SELECT
                G.CDGRUPOPER,
                GR.DSGRUPOPER,
                G.NRPERFILACESSO,
                G.NRORG
            FROM
                GRUPOPCONT   G
                JOIN GRUPOPER     GR ON G.CDGRUPOPER = GR.CDGRUPOPER
                                    AND G.NRORG = GR.NRORG
            WHERE
            
            G.CDGRUPOPER NOT IN (SELECT CDGRUPOPER FROM OPERGRUPOP WHERE CDOPERADOR =:CDOPERADOR)
            AND
                G.NRPERFILACESSO = :NRPERFILACESSO
            ORDER BY
                G.CDGRUPOPER,
                GR.DSGRUPOPER,
                G.NRPERFILACESSO,
                G.NRORG"
                ;
                
     $params = array(
            "CDOPERADOR" => $conditions[0]["value"],
            'NRPERFILACESSO' =>$conditions[1]["value"]
        );

            $std = InstanceProvider::getEntityManager()->getConnection()->prepare($query);
            $std->execute($params);
            return $std->fetchAll();
        
    }
    
    
}